Package org.linphone.core

# Enum Class MediaResourceMode

java.lang.Object
java.lang.Enum<MediaResourceMode>
org.linphone.core.MediaResourceMode

All Implemented Interfaces:
  `Serializable`, `Comparable<MediaResourceMode>`, `Constable`

public enum MediaResourceMode extends Enum<MediaResourceMode>
Media resource usage.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Exclusive`
Media resources are not shared.
`Shared`
Media resources are shared.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static MediaResourceMode`
`fromInt(int value)`
`protected static MediaResourceMode[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(MediaResourceMode[] values)`
`static MediaResourceMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MediaResourceMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Exclusive

public static final MediaResourceMode Exclusive
Media resources are not shared.

### Shared

public static final MediaResourceMode Shared
Media resources are shared.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static MediaResourceMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MediaResourceMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static MediaResourceMode fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static MediaResourceMode[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(MediaResourceMode[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()